$ErrorActionPreference = 'Stop';

$packageName= 'invantive-query-tool'

$packageArgs = @{
  packageName = $packageName
  fileType = 'MSI'
  url = 'https://download.invantive.com/release/msi/Invantive%20Query%20Tool-17.16.1-RC.msi'
  url64bit = 'https://download.invantive.com/release/msi/Invantive%20Query%20Tool-17.16.1-RC.msi'
  softwareName = 'Invantive Query Tool'
  checksum = 'DF4CAA67413AFA0B033453E3CDDBC06D2B3364008361D88C7B3B07271DFCFB1D'
  checksumType = 'sha256'
  checksum64 = 'DF4CAA67413AFA0B033453E3CDDBC06D2B3364008361D88C7B3B07271DFCFB1D'
  checksumType64 = 'sha256'
  silentArgs = "/qn /norestart /l*v `"$env:Temp\invantive-query-tool-17.16.1-msi-install.log`""
  validExitCodes = @(0, 3010, 1641)
}

Install-ChocolateyPackage @packageArgs
